{"info":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","description":"<html><head></head><body><p><strong>Fugo API</strong> allows you to manage your account via HTTP REST API. This API is intended for developers who want to write applications that can interact with Fugo.</p>\n<p>Base URL: <code>https://api.fugo.ai/rest</code> (the <code>baseUrl</code> variable).</p>\n<p>Authenticate every request with your API key in the <code>x-api-key</code> header. To act in a space other than the Root space, also send <code>x-space-id</code> with the space's ID from <code>GET /v1/tenant/spaces</code>.</p>\n<p>Contact Support:<br>Name: Support Team<br>Email: <a href=\"mailto:support@fugo.ai\">support@fugo.ai</a></p>\n</body></html>","schema":"https://schema.getpostman.com/json/collection/v2.0.0/collection.json","toc":[],"owner":"2870160","collectionId":"515073ae-004d-4320-99fa-88b1297c064f","publishedId":"2sA3kPqQAn","public":true,"customColor":{"top-bar":"FFFFFF","right-sidebar":"303030","highlight":"FF6C37"},"publishDate":"2024-07-24T16:54:08.000Z"},"item":[{"name":"contents","item":[{"name":"post V1Contents Update","id":"208007ba-94dd-472e-9350-93b2cc16cb2b","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"contentId\": \"string\",\n  \"newBody\": \"\"\n}"},"url":"https://api.fugo.ai/rest/v1/contents/update","description":"<p>Update Content</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"mediaIds\": [ \"string\", \"string\" ] }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"templateId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","contents","update"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"036fc00b-e793-c2f0-eb7a-b4f84e0ccd98","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"contentId\": \"string\",\n  \"newBody\": \"\"\n}"},"url":"https://api.fugo.ai/rest/v1/contents/update","description":"Update Content\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"mediaIds\": [ \"string\", \"string\" ] }` |\n| 404 Not Found | `{ \"templateId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"contentId\": \"string\",\n  \"tenantId\": \"string\",\n  \"spaceId\": \"string\",\n  \"name\": \"string\",\n  \"body\": \"\",\n  \"settings\": \"\",\n  \"createdAt\": 1768473000000,\n  \"createdBy\": \"string\",\n  \"updatedAt\": 1768473000000,\n  \"updatedBy\": \"string\",\n  \"thumbnail\": {},\n  \"auth\": \"\",\n  \"configuration\": \"\",\n  \"mediaIds\": [\n    \"string\"\n  ],\n  \"parentFolderId\": \"string\",\n  \"maybeTemplateId\": \"string\",\n  \"thumbnailCoverage\": {\n    \"capturedSlides\": 3,\n    \"totalSlides\": 3\n  }\n}"}],"_postman_id":"208007ba-94dd-472e-9350-93b2cc16cb2b"},{"name":"get V1Contents Contentid Texts","id":"baf0fded-7911-4e13-9ee4-bfe4f940e4e2","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/contents/:contentId/texts","description":"<p>Returns all text labels for the content.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"mediaIds\": [ \"string\", \"string\" ] }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"templateId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","contents",":contentId","texts"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[{"id":"bf084558-b37e-4f1f-ba93-90b00130ceb7","type":"any","key":"contentId"}]}},"response":[{"id":"b460ccc7-14a5-c8e0-3eeb-19b884af656a","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.fugo.ai/rest/v1/contents/:contentId/texts","host":["https://api.fugo.ai/rest"],"path":["v1","contents",":contentId","texts"],"variable":[{"id":"bf084558-b37e-4f1f-ba93-90b00130ceb7","key":"contentId"}]},"description":"Returns all text labels for the content.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"mediaIds\": [ \"string\", \"string\" ] }` |\n| 404 Not Found | `{ \"templateId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"[\n  {\n    \"contentId\": \"string\",\n    \"textLabelId\": \"string\",\n    \"text\": \"string\"\n  }\n]"}],"_postman_id":"baf0fded-7911-4e13-9ee4-bfe4f940e4e2"},{"name":"get V1Contents Contentid","id":"485fdb7d-c145-410a-aecd-48d155d8b3ed","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/contents/:contentId","description":"<p>Returns content by contentId.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"mediaIds\": [ \"string\", \"string\" ] }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"templateId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","contents",":contentId"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[{"id":"db6c76b4-5fb2-4dc7-9da9-4857e8ac8df7","type":"any","key":"contentId"}]}},"response":[{"id":"827b7d86-74c3-b062-5936-9d1031f6b363","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.fugo.ai/rest/v1/contents/:contentId","host":["https://api.fugo.ai/rest"],"path":["v1","contents",":contentId"],"variable":[{"id":"db6c76b4-5fb2-4dc7-9da9-4857e8ac8df7","key":"contentId"}]},"description":"Returns content by contentId.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"mediaIds\": [ \"string\", \"string\" ] }` |\n| 404 Not Found | `{ \"templateId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"contentId\": \"f0cb12b2-fceb-4384-b635-0b1e6775a60e\",\n  \"tenantId\": \"d53fafb2-a192-11ee-8c90-0242ac120002\",\n  \"spaceId\": \"ec3f7896-a192-11ee-8c90-0242ac120002\",\n  \"name\": \"Q1 Dashboard\",\n  \"body\": [\n    {\n      \"id\": \"1c1a3aab-dc30-4adf-9b94-7a6d817ab6ac\",\n      \"tiles\": [\n        {\n          \"id\": \"55fa9841-138e-4671-86cc-31339d9f808a\",\n          \"content\": {\n            \"__typename\": \"Media\",\n            \"mediaId\": \"55fa9841-138e-4671-86cc-31339d9f808a\",\n            \"duration\": 10000,\n            \"config\": {\n              \"id\": \"6c78c90b-0b06-45e9-ac64-2980665bf680\",\n              \"fit\": \"contain\"\n            }\n          },\n          \"rect\": {\n            \"x\": 0,\n            \"y\": 0.18425925925925926,\n            \"height\": 0.8157407407407408,\n            \"rotate\": 0,\n            \"width\": 1\n          }\n        }\n      ],\n      \"updatedAt\": 1768473000000\n    }\n  ],\n  \"mediaIds\": [\n    \"55fa9841-138e-4671-86cc-31339d9f808a\"\n  ],\n  \"createdAt\": 1768473000000,\n  \"createdBy\": \"ec3f7896-a192-11ee-8c90-0242ac121123\",\n  \"updatedAt\": 1768473000000,\n  \"updatedBy\": \"ec3f7896-a192-11ee-8c90-0242ac121123\",\n  \"thumbnail\": {\n    \"Preprocessing\": {}\n  }\n}"}],"_postman_id":"485fdb7d-c145-410a-aecd-48d155d8b3ed"},{"name":"post V1Contents Texts","id":"9539dc02-8751-4f02-9e3d-06ed69eedbb4","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"contentId\": \"string\",\n  \"textLabelId\": \"string\",\n  \"newText\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/contents/texts","description":"<p>Update text label in content.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"mediaIds\": [ \"string\", \"string\" ] }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"templateId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","contents","texts"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"f0816e76-aa2f-dc0e-89ca-8a2a931c002f","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"contentId\": \"string\",\n  \"textLabelId\": \"string\",\n  \"newText\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/contents/texts","description":"Update text label in content.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"mediaIds\": [ \"string\", \"string\" ] }` |\n| 404 Not Found | `{ \"templateId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"contentId\": \"string\",\n  \"tenantId\": \"string\",\n  \"spaceId\": \"string\",\n  \"name\": \"string\",\n  \"body\": \"\",\n  \"settings\": \"\",\n  \"createdAt\": 1768473000000,\n  \"createdBy\": \"string\",\n  \"updatedAt\": 1768473000000,\n  \"updatedBy\": \"string\",\n  \"thumbnail\": {},\n  \"auth\": \"\",\n  \"configuration\": \"\",\n  \"mediaIds\": [\n    \"string\"\n  ],\n  \"parentFolderId\": \"string\",\n  \"maybeTemplateId\": \"string\",\n  \"thumbnailCoverage\": {\n    \"capturedSlides\": 3,\n    \"totalSlides\": 3\n  }\n}"}],"_postman_id":"9539dc02-8751-4f02-9e3d-06ed69eedbb4"},{"name":"get V1Contents","id":"75ab2dbf-48c8-472a-8476-369f586b92e5","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/contents","description":"<p>Returns all content for the team. Pass includeBody=false for faster body-less responses.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"mediaIds\": [ \"string\", \"string\" ] }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"templateId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","contents"],"host":["https://api.fugo.ai/rest"],"query":[{"disabled":true,"description":{"content":"<p>Set to false to omit content body for faster list views. Defaults to true for backward compatibility.</p>\n","type":"text/plain"},"key":"includeBody","value":"false"}],"variable":[]}},"response":[{"id":"227d7dad-63d7-b862-caa3-15ca91c28ee0","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.fugo.ai/rest/v1/contents","host":["https://api.fugo.ai/rest"],"path":["v1","contents"],"query":[{"key":"includeBody","value":"false","description":"Set to false to omit content body for faster list views. Defaults to true for backward compatibility.","disabled":true}]},"description":"Returns all content for the team. Pass includeBody=false for faster body-less responses.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"mediaIds\": [ \"string\", \"string\" ] }` |\n| 404 Not Found | `{ \"templateId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"[\n  {\n    \"contentId\": \"f0cb12b2-fceb-4384-b635-0b1e6775a60e\",\n    \"tenantId\": \"d53fafb2-a192-11ee-8c90-0242ac120002\",\n    \"spaceId\": \"ec3f7896-a192-11ee-8c90-0242ac120002\",\n    \"name\": \"Q1 Dashboard\",\n    \"body\": [\n      {\n        \"id\": \"1c1a3aab-dc30-4adf-9b94-7a6d817ab6ac\",\n        \"tiles\": [\n          {\n            \"id\": \"55fa9841-138e-4671-86cc-31339d9f808a\",\n            \"content\": {\n              \"__typename\": \"Media\",\n              \"mediaId\": \"55fa9841-138e-4671-86cc-31339d9f808a\",\n              \"duration\": 10000,\n              \"config\": {\n                \"id\": \"6c78c90b-0b06-45e9-ac64-2980665bf680\",\n                \"fit\": \"contain\"\n              }\n            },\n            \"rect\": {\n              \"x\": 0,\n              \"y\": 0.18425925925925926,\n              \"height\": 0.8157407407407408,\n              \"rotate\": 0,\n              \"width\": 1\n            }\n          }\n        ],\n        \"updatedAt\": 1768473000000\n      }\n    ],\n    \"mediaIds\": [\n      \"55fa9841-138e-4671-86cc-31339d9f808a\"\n    ],\n    \"createdAt\": 1768473000000,\n    \"createdBy\": \"ec3f7896-a192-11ee-8c90-0242ac121123\",\n    \"updatedAt\": 1768473000000,\n    \"updatedBy\": \"ec3f7896-a192-11ee-8c90-0242ac121123\",\n    \"thumbnail\": {\n      \"Preprocessing\": {}\n    }\n  }\n]"}],"_postman_id":"75ab2dbf-48c8-472a-8476-369f586b92e5"},{"name":"post V1Contents","id":"4e116fc4-945a-4323-9515-074fb3791bf0","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"duration\": 10000,\n  \"body\": \"\",\n  \"settings\": \"\",\n  \"auth\": \"\",\n  \"configuration\": \"\",\n  \"mediaIds\": [\n    \"string\",\n    \"string\"\n  ],\n  \"maybeTemplateId\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/contents","description":"<p>Create Content</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"mediaIds\": [ \"string\", \"string\" ] }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"templateId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","contents"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"43a3af98-4061-036e-9f36-b91ee9b20d27","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"duration\": 10000,\n  \"body\": \"\",\n  \"settings\": \"\",\n  \"auth\": \"\",\n  \"configuration\": \"\",\n  \"mediaIds\": [\n    \"string\",\n    \"string\"\n  ],\n  \"maybeTemplateId\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/contents","description":"Create Content\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"mediaIds\": [ \"string\", \"string\" ] }` |\n| 404 Not Found | `{ \"templateId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"{\n  \"contentId\": \"string\",\n  \"tenantId\": \"string\",\n  \"spaceId\": \"string\",\n  \"name\": \"string\",\n  \"body\": \"\",\n  \"settings\": \"\",\n  \"createdAt\": 1768473000000,\n  \"createdBy\": \"string\",\n  \"updatedAt\": 1768473000000,\n  \"updatedBy\": \"string\",\n  \"thumbnail\": {},\n  \"auth\": \"\",\n  \"configuration\": \"\",\n  \"mediaIds\": [\n    \"string\"\n  ],\n  \"parentFolderId\": \"string\",\n  \"maybeTemplateId\": \"string\",\n  \"thumbnailCoverage\": {\n    \"capturedSlides\": 3,\n    \"totalSlides\": 3\n  }\n}"}],"_postman_id":"4e116fc4-945a-4323-9515-074fb3791bf0"}],"id":"3f9d1cb9-d045-4cd2-abed-f1e4b5396b6b","_postman_id":"3f9d1cb9-d045-4cd2-abed-f1e4b5396b6b","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}}},{"name":"medias","item":[{"name":"post V1Medias Base64","id":"aa60566d-7832-4a0d-9e23-7aa29ef750e7","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"dataBase64\": \"string\",\n  \"newContentType\": \"string\",\n  \"maybeSource\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias/base64","description":"<p>Upload media as base64 string</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias","base64"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"6de7a1f4-7a57-24f8-3849-0d84ca019d59","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"dataBase64\": \"string\",\n  \"newContentType\": \"string\",\n  \"maybeSource\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias/base64","description":"Upload media as base64 string\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"\"d1ab7f52-a192-11ee-8c90-0242ac120002\""}],"_postman_id":"aa60566d-7832-4a0d-9e23-7aa29ef750e7"},{"name":"post V1Medias Urls","id":"8ed9d10f-e682-4a90-8bb8-01eac3a1d6d9","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"source\": \"string\",\n  \"urls\": [\n    \"string\",\n    \"string\"\n  ]\n}"},"url":"https://api.fugo.ai/rest/v1/medias/urls","description":"<p>Upload media files directly from URLs without requiring metadata upfront.The actual media processing happens in the background.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias","urls"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"e9bf788e-0803-54dc-f467-f87787952eb9","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"source\": \"string\",\n  \"urls\": [\n    \"string\",\n    \"string\"\n  ]\n}"},"url":"https://api.fugo.ai/rest/v1/medias/urls","description":"Upload media files directly from URLs without requiring metadata upfront.The actual media processing happens in the background.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"message\": \"Processing 2 URLs in the background. Media will be available soon.\",\n  \"urlsSubmitted\": 2\n}"}],"_postman_id":"8ed9d10f-e682-4a90-8bb8-01eac3a1d6d9"},{"name":"post V1Medias Binary","id":"15e3a633-3337-4206-9f2d-c970a45a445c","request":{"method":"POST","header":[{"key":"Name","value":"lunch-menu.jpg"},{"key":"Content-Length","value":"348211"},{"key":"Content-Type","value":"image/jpeg"}],"body":{"mode":"file","file":{}},"url":"https://api.fugo.ai/rest/v1/medias/binary","description":"<p>Upload files as binary data</p>\n<p><strong>Optional headers:</strong> <code>Source</code> — Source of the media</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias","binary"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"83731b37-6a5f-3841-bd46-800936d07558","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Name","value":"lunch-menu.jpg"},{"key":"Content-Length","value":"348211"},{"key":"Content-Type","value":"image/jpeg"}],"body":{"mode":"file","file":{}},"url":"https://api.fugo.ai/rest/v1/medias/binary","description":"Upload files as binary data\n\n**Optional headers:** `Source` — Source of the media\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"text","header":[{"value":"text/plain","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"d1ab7f52-a192-11ee-8c90-0242ac120002"}],"_postman_id":"15e3a633-3337-4206-9f2d-c970a45a445c"},{"name":"put V1Medias Url","id":"81962858-0ca7-4e56-9e77-a3ee4dfec118","request":{"method":"PUT","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"mediaId\": \"string\",\n  \"url\": \"string\",\n  \"source\": \"string\",\n  \"newContentType\": \"string\",\n  \"newContentSizeBytes\": 348211,\n  \"newFilename\": \"string\",\n  \"downloadRequestHeaders\": [\n    {\n      \"key\": \"string\",\n      \"value\": \"string\"\n    },\n    {\n      \"key\": \"string\",\n      \"value\": \"string\"\n    }\n  ]\n}"},"url":"https://api.fugo.ai/rest/v1/medias/url","description":"<p>Update an existing media entity with new content from a URL.\nThis method runs asynchronously in the background and returns immediately.\nThe media is downloaded from the provided URL and the existing media is updated.\nIf contentType, contentSizeBytes, or Filename are not provided, they will be determined from the URL metadata.</p>\n<p>Headers are used to download the media from the URL</p>\n<p>The new file's provider identity comes from the URL alone, as on the upload from URLs: a\nGoogle Drive or Microsoft Graph URL supplies it, and the replaced file's identity is cleared.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias","url"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"79b7e6bc-eac0-1961-8d8c-1cf3f4df11b5","name":"200 OK","originalRequest":{"method":"PUT","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"mediaId\": \"string\",\n  \"url\": \"string\",\n  \"source\": \"string\",\n  \"newContentType\": \"string\",\n  \"newContentSizeBytes\": 348211,\n  \"newFilename\": \"string\",\n  \"downloadRequestHeaders\": [\n    {\n      \"key\": \"string\",\n      \"value\": \"string\"\n    },\n    {\n      \"key\": \"string\",\n      \"value\": \"string\"\n    }\n  ]\n}"},"url":"https://api.fugo.ai/rest/v1/medias/url","description":"Update an existing media entity with new content from a URL.\nThis method runs asynchronously in the background and returns immediately.\nThe media is downloaded from the provided URL and the existing media is updated.\nIf contentType, contentSizeBytes, or Filename are not provided, they will be determined from the URL metadata.\n\nHeaders are used to download the media from the URL\n\nThe new file's provider identity comes from the URL alone, as on the upload from URLs: a\nGoogle Drive or Microsoft Graph URL supplies it, and the replaced file's identity is cleared.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"message\": \"Processing 1 URLs in the background. Media will be available soon.\",\n  \"urlsSubmitted\": 1\n}"}],"_postman_id":"81962858-0ca7-4e56-9e77-a3ee4dfec118"},{"name":"post V1Medias Multipart","id":"ce494ce0-f501-4b86-93e9-fab972fd2559","request":{"method":"POST","header":[{"key":"Content-Type","value":"multipart/form-data"}],"body":{"mode":"formdata","formdata":[{"key":"name","description":"<p>Name of the media</p>\n","type":"text","value":"lunch-menu.jpg"},{"key":"contentType","description":"<p>Content type of the media</p>\n","type":"text","value":"image/jpeg"},{"key":"contentSizeBytes","description":"<p>Size of the file in bytes</p>\n","type":"text","value":"348211"},{"key":"file","type":"file","description":"<p>The file to upload</p>\n"},{"key":"maybeSource","description":"<p>Optional free-text label for where the media came from</p>\n","type":"text","value":"my-integration","disabled":true}]},"url":"https://api.fugo.ai/rest/v1/medias/multipart","description":"<p>Upload files as Multipart Form</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias","multipart"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"72719c09-dc65-1f03-db1c-0a2810966b09","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"multipart/form-data"}],"body":{"mode":"formdata","formdata":[{"key":"name","description":"Name of the media","type":"text","value":"lunch-menu.jpg"},{"key":"contentType","description":"Content type of the media","type":"text","value":"image/jpeg"},{"key":"contentSizeBytes","description":"Size of the file in bytes","type":"text","value":"348211"},{"key":"file","type":"file","description":"The file to upload"},{"key":"maybeSource","description":"Optional free-text label for where the media came from","type":"text","value":"my-integration","disabled":true}]},"url":"https://api.fugo.ai/rest/v1/medias/multipart","description":"Upload files as Multipart Form\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"text","header":[{"value":"text/plain","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"d1ab7f52-a192-11ee-8c90-0242ac120002"}],"_postman_id":"ce494ce0-f501-4b86-93e9-fab972fd2559"},{"name":"post V1Medias Update","id":"7c5c13ee-2b42-4706-8f78-cdb70e0ff597","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"mediaId\": \"d1ab7f52-a192-11ee-8c90-0242ac120002\",\n  \"newContentType\": \"image/png\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias/update","description":"<p>Replace existing media with new media. This will replace the old media everywhere it is used.<br />Use the Url to upload new media. Make sure you set the correct <code>Content-Type</code> header and attach the file as binary. <br />For example: <br />curl --location --request PUT  'https://...' <br />     --header 'Content-Type: image/jpeg' <br />     --data '@/Users/Pictures/wallpapers/NeonDrive_Wallpaper_03.jpg'</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias","update"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"953a1b7c-3661-2cbd-b888-a8d88dadf4a7","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"mediaId\": \"d1ab7f52-a192-11ee-8c90-0242ac120002\",\n  \"newContentType\": \"image/png\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias/update","description":"Replace existing media with new media. This will replace the old media everywhere it is used.\\\nUse the Url to upload new media. Make sure you set the correct `Content-Type` header and attach the file as binary. \\\nFor example: \\\ncurl --location --request PUT  'https://...' \\\n     --header 'Content-Type: image/jpeg' \\\n     --data '@/Users/Pictures/wallpapers/NeonDrive_Wallpaper_03.jpg'\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"{\n  \"media\": {\n    \"id\": \"d1ab7f52-a192-11ee-8c90-0242ac120002\",\n    \"tenantId\": \"d53fafb2-a192-11ee-8c90-0242ac120002\",\n    \"spaceId\": \"ec3f7896-a192-11ee-8c90-0242ac120002\",\n    \"name\": \"photo_16_9.jpg\",\n    \"contentType\": \"image/jpeg\",\n    \"sizeBytes\": 348211,\n    \"thumbnailUrl\": \"https://fugo-media.s3.eu-central-1.amazonaws.com/tenant/d53fafb2-a192-11ee-8c90-0242ac120002/team/ec3f7896-a192-11ee-8c90-0242ac120002/thumbnail.webp\",\n    \"url\": \"https://fugo-media.s3.eu-central-1.amazonaws.com/tenant/d53fafb2-a192-11ee-8c90-0242ac120002/team/ec3f7896-a192-11ee-8c90-0242ac120002/photo_16_9.jpg\"\n  },\n  \"presignedUrl\": \"https://fugo-cms-media-prod.s3.eu-west-2.amazonaws.com/uploaded/...?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=...&X-Amz-SignedHeaders=content-type%3Bhost&X-Amz-Expires=300&X-Amz-Credential=...&X-Amz-Signature=...\"\n}"}],"_postman_id":"7c5c13ee-2b42-4706-8f78-cdb70e0ff597"},{"name":"get V1Medias Paginated","id":"27e15995-7302-47a4-a635-340755732ff8","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/medias/paginated?pageSize=100","description":"<p>Returns all media for the tenant, in a paginated format. Set size of the page. If cursor is provided, it will return the next page.\n Each underlying request is capped at 1 MB by DynamoDB; a page is assembled from up to ten of them, so pageSize is capped at 200 regardless.\n The cursor is a base64 encoded string that is returned in the response. You should pass it back in the request to get the next page.\n Keep paginating for as long as a cursor comes back, and stop only when it is absent. A page may contain fewer items than\n requested, or none at all, while further pages still follow, so the number of items returned does not tell you whether the\n collection is exhausted.\n Use the descending flag to get the results in descending order.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias","paginated"],"host":["https://api.fugo.ai/rest"],"query":[{"description":{"content":"<p>Number of items to return in the page. Non-positive defaults to 50; capped at 200.</p>\n","type":"text/plain"},"key":"pageSize","value":"100"},{"disabled":true,"description":{"content":"<p>Set to true to get the results in descending order.</p>\n","type":"text/plain"},"key":"descending","value":"true"},{"disabled":true,"description":{"content":"<p>Cursor to paginate.</p>\n","type":"text/plain"},"key":"cursor","value":""}],"variable":[]}},"response":[{"id":"363e7dc0-2cde-e910-3da9-daf748b26e8a","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.fugo.ai/rest/v1/medias/paginated?pageSize=100","host":["https://api.fugo.ai/rest"],"path":["v1","medias","paginated"],"query":[{"description":"Number of items to return in the page. Non-positive defaults to 50; capped at 200.","key":"pageSize","value":"100"},{"description":"Set to true to get the results in descending order.","key":"descending","value":"true","disabled":true},{"description":"Cursor to paginate.","key":"cursor","value":"","disabled":true}]},"description":"Returns all media for the tenant, in a paginated format. Set size of the page. If cursor is provided, it will return the next page.\n Each underlying request is capped at 1 MB by DynamoDB; a page is assembled from up to ten of them, so pageSize is capped at 200 regardless.\n The cursor is a base64 encoded string that is returned in the response. You should pass it back in the request to get the next page.\n Keep paginating for as long as a cursor comes back, and stop only when it is absent. A page may contain fewer items than\n requested, or none at all, while further pages still follow, so the number of items returned does not tell you whether the\n collection is exhausted.\n Use the descending flag to get the results in descending order.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"media\": [\n    {\n      \"id\": \"d1ab7f52-a192-11ee-8c90-0242ac120002\",\n      \"tenantId\": \"d53fafb2-a192-11ee-8c90-0242ac120002\",\n      \"spaceId\": \"ec3f7896-a192-11ee-8c90-0242ac120002\",\n      \"name\": \"photo_16_9.jpg\",\n      \"contentType\": \"image/jpeg\",\n      \"sizeBytes\": 348211,\n      \"thumbnailUrl\": \"https://fugo-media.s3.eu-central-1.amazonaws.com/tenant/d53fafb2-a192-11ee-8c90-0242ac120002/team/ec3f7896-a192-11ee-8c90-0242ac120002/thumbnail.webp\",\n      \"url\": \"https://fugo-media.s3.eu-central-1.amazonaws.com/tenant/d53fafb2-a192-11ee-8c90-0242ac120002/team/ec3f7896-a192-11ee-8c90-0242ac120002/photo_16_9.jpg\"\n    }\n  ],\n  \"cursor\": \"eyJpZCI6ImQxYWI3ZjUyIn0=\"\n}"}],"_postman_id":"27e15995-7302-47a4-a635-340755732ff8"},{"name":"get V1Medias","id":"4a5ec074-1bb5-43f7-8f5b-13230f938398","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/medias","description":"<p>Returns all media for the Tenant</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"6ca02607-6e14-0df6-1f3f-f75ca11dddbe","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/medias","description":"Returns all media for the Tenant\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"[\n  {\n    \"id\": \"d1ab7f52-a192-11ee-8c90-0242ac120002\",\n    \"tenantId\": \"d53fafb2-a192-11ee-8c90-0242ac120002\",\n    \"spaceId\": \"ec3f7896-a192-11ee-8c90-0242ac120002\",\n    \"name\": \"photo_16_9.jpg\",\n    \"contentType\": \"image/jpeg\",\n    \"sizeBytes\": 348211,\n    \"thumbnailUrl\": \"https://fugo-media.s3.eu-central-1.amazonaws.com/tenant/d53fafb2-a192-11ee-8c90-0242ac120002/team/ec3f7896-a192-11ee-8c90-0242ac120002/thumbnail.webp\",\n    \"url\": \"https://fugo-media.s3.eu-central-1.amazonaws.com/tenant/d53fafb2-a192-11ee-8c90-0242ac120002/team/ec3f7896-a192-11ee-8c90-0242ac120002/photo_16_9.jpg\"\n  }\n]"}],"_postman_id":"4a5ec074-1bb5-43f7-8f5b-13230f938398"},{"name":"post V1Medias","id":"1d409158-83a4-45e3-ba38-b137036d56f7","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"newContentType\": \"string\",\n  \"maybeSource\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias","description":"<p>Upload new media. Returns a secure upload presignedUrl. <br />Use the Url to upload new media. Make sure you set the correct <code>Content-Type</code> header and attach the file as binary. <br />For example: <br />curl --location --request PUT 'https://...' <br />     --header 'Content-Type: image/jpeg' <br />     --data '@/Users/Pictures/wallpapers/NeonDrive_Wallpaper_03.jpg'</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"420e5a48-ea31-d4e9-aec0-aa8e6f66d759","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"newContentType\": \"string\",\n  \"maybeSource\": \"string\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias","description":"Upload new media. Returns a secure upload presignedUrl. \\\nUse the Url to upload new media. Make sure you set the correct `Content-Type` header and attach the file as binary. \\\nFor example: \\\ncurl --location --request PUT 'https://...' \\\n     --header 'Content-Type: image/jpeg' \\\n     --data '@/Users/Pictures/wallpapers/NeonDrive_Wallpaper_03.jpg'\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"\"https://fugo-cms-media-prod.s3.eu-west-2.amazonaws.com/uploaded/...?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=...&X-Amz-SignedHeaders=content-type%3Bhost&X-Amz-Expires=300&X-Amz-Credential=...&X-Amz-Signature=...\""}],"_postman_id":"1d409158-83a4-45e3-ba38-b137036d56f7"},{"name":"delete V1Medias","id":"96af5fa8-5ddb-4d04-a6e8-1ee3dec3aea8","request":{"method":"DELETE","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"mediaId\": \"str\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias","description":"<p>Delete a media item by ID. This will also remove any URL mappings associated with this media.\nNote: The media file is not physically deleted from storage, but is moved to a deleted items table.\nReturns the ID of the deleted media.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"mediaId\": \"str\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","medias"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"91d6da57-effd-8674-b4dc-c7b08f7b311d","name":"200 OK","originalRequest":{"method":"DELETE","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"mediaId\": \"str\"\n}"},"url":"https://api.fugo.ai/rest/v1/medias","description":"Delete a media item by ID. This will also remove any URL mappings associated with this media.\nNote: The media file is not physically deleted from storage, but is moved to a deleted items table.\nReturns the ID of the deleted media.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"mediaId\": \"str\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"text","header":[{"key":"Content-Type","value":"text/plain"}],"cookie":[],"responseTime":null,"body":"d1ab7f52-a192-11ee-8c90-0242ac120002"}],"_postman_id":"96af5fa8-5ddb-4d04-a6e8-1ee3dec3aea8"}],"id":"c94ba741-502d-4524-969b-8d907c12a4bc","_postman_id":"c94ba741-502d-4524-969b-8d907c12a4bc","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}}},{"name":"playlists","item":[{"name":"post V1Playlists Name","id":"307ed8f1-8cf8-434f-a67b-78cb8d7fe33b","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"playlistName\": \"My Playlist\",\n  \"command\": {\n    \"type\": \"PlayOnce\"\n  }\n}"},"url":"https://api.fugo.ai/rest/v1/playlists/name","description":"<p>Trigger playlist event by playlist name. If the provided name matches the multiple playlist names, all playlist will be effected.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>403 Forbidden</td>\n<td><code>{}</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"playlistId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>409 Conflict</td>\n<td><code>{ \"playlistId\": \"string\", \"currentVersion\": 6920 }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{}</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","playlists","name"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"011c145f-25d6-7abb-8410-5142d2705817","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"playlistName\": \"My Playlist\",\n  \"command\": {\n    \"type\": \"PlayOnce\"\n  }\n}"},"url":"https://api.fugo.ai/rest/v1/playlists/name","description":"Trigger playlist event by playlist name. If the provided name matches the multiple playlist names, all playlist will be effected.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 403 Forbidden | `{}` |\n| 404 Not Found | `{ \"playlistId\": \"string\" }` |\n| 409 Conflict | `{ \"playlistId\": \"string\", \"currentVersion\": 6920 }` |\n| 500 Internal Server Error | `{}` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"[\n  \"9a59db9c-f192-469d-87c6-a1bc688675f1\"\n]"}],"_postman_id":"307ed8f1-8cf8-434f-a67b-78cb8d7fe33b"},{"name":"post V1Playlists Playlistid","id":"bebf1e27-98f0-478e-ac38-8ad91ffc598c","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"playlistId\": \"string\",\n  \"command\": {}\n}"},"url":"https://api.fugo.ai/rest/v1/playlists/playlistId","description":"<p>Trigger playlist event by playlist id. If the provided id matches the multiple playlist ids, all playlist will be effected.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>403 Forbidden</td>\n<td><code>{}</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"playlistId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>409 Conflict</td>\n<td><code>{ \"playlistId\": \"string\", \"currentVersion\": 6920 }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{}</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","playlists","playlistId"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"e0269bde-20b9-377e-106f-fd93f8154530","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"playlistId\": \"string\",\n  \"command\": {}\n}"},"url":"https://api.fugo.ai/rest/v1/playlists/playlistId","description":"Trigger playlist event by playlist id. If the provided id matches the multiple playlist ids, all playlist will be effected.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 403 Forbidden | `{}` |\n| 404 Not Found | `{ \"playlistId\": \"string\" }` |\n| 409 Conflict | `{ \"playlistId\": \"string\", \"currentVersion\": 6920 }` |\n| 500 Internal Server Error | `{}` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"\"9a59db9c-f192-469d-87c6-a1bc688675f1\""}],"_postman_id":"bebf1e27-98f0-478e-ac38-8ad91ffc598c"},{"name":"get V1Playlists Manual","id":"10d157be-3f3e-4498-972b-52bae179cc5d","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/playlists/manual","description":"<p>Returns all manual playlists.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>403 Forbidden</td>\n<td><code>{}</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"playlistId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>409 Conflict</td>\n<td><code>{ \"playlistId\": \"string\", \"currentVersion\": 6920 }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{}</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","playlists","manual"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"d9a75710-f469-8670-b093-633448fd3335","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/playlists/manual","description":"Returns all manual playlists.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 403 Forbidden | `{}` |\n| 404 Not Found | `{ \"playlistId\": \"string\" }` |\n| 409 Conflict | `{ \"playlistId\": \"string\", \"currentVersion\": 6920 }` |\n| 500 Internal Server Error | `{}` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"[\n  {\n    \"playlistId\": \"string\",\n    \"tenantId\": \"string\",\n    \"teamId\": \"string\",\n    \"name\": \"string\",\n    \"duration\": 10000,\n    \"startDate\": \"2026-10-15\",\n    \"isFallback\": false,\n    \"createdAt\": 1768473000000,\n    \"updatedAt\": 1768473000000,\n    \"publishedState\": {},\n    \"contents\": [\n      {\n        \"contentId\": \"string\",\n        \"uniqueId\": \"string\"\n      }\n    ],\n    \"playerIds\": [\n      \"string\"\n    ],\n    \"screenPropertyConditions\": [\n      {\n        \"propertyId\": \"string\",\n        \"values\": [\n          \"string\"\n        ]\n      }\n    ],\n    \"endDate\": \"2026-12-31\",\n    \"schedule\": [\n      {\n        \"pattern\": {},\n        \"weekSchedule\": [\n          {\n            \"start\": {\n              \"dayOfWeek\": 1,\n              \"time\": \"09:00\"\n            },\n            \"end\": {\n              \"dayOfWeek\": 5,\n              \"time\": \"17:00\"\n            }\n          }\n        ]\n      }\n    ],\n    \"manualEvent\": {},\n    \"timerEvents\": [\n      {\n        \"name\": \"string\",\n        \"start\": \"string\",\n        \"end\": \"string\"\n      }\n    ]\n  }\n]"}],"_postman_id":"10d157be-3f3e-4498-972b-52bae179cc5d"},{"name":"get V1Playlists","id":"87744219-0921-4527-a987-75c5e1f712f7","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/playlists","description":"<p>Returns all playlists.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>403 Forbidden</td>\n<td><code>{}</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"playlistId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>409 Conflict</td>\n<td><code>{ \"playlistId\": \"string\", \"currentVersion\": 6920 }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{}</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","playlists"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"2a1ee68b-d0c9-b689-7bf2-e56100e5e223","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/playlists","description":"Returns all playlists.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 403 Forbidden | `{}` |\n| 404 Not Found | `{ \"playlistId\": \"string\" }` |\n| 409 Conflict | `{ \"playlistId\": \"string\", \"currentVersion\": 6920 }` |\n| 500 Internal Server Error | `{}` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"[\n  {\n    \"playlistId\": \"string\",\n    \"tenantId\": \"string\",\n    \"teamId\": \"string\",\n    \"name\": \"string\",\n    \"duration\": 10000,\n    \"startDate\": \"2026-10-15\",\n    \"isFallback\": false,\n    \"createdAt\": 1768473000000,\n    \"updatedAt\": 1768473000000,\n    \"publishedState\": {},\n    \"contents\": [\n      {\n        \"contentId\": \"string\",\n        \"uniqueId\": \"string\"\n      }\n    ],\n    \"playerIds\": [\n      \"string\"\n    ],\n    \"screenPropertyConditions\": [\n      {\n        \"propertyId\": \"string\",\n        \"values\": [\n          \"string\"\n        ]\n      }\n    ],\n    \"endDate\": \"2026-12-31\",\n    \"schedule\": [\n      {\n        \"pattern\": {},\n        \"weekSchedule\": [\n          {\n            \"start\": {\n              \"dayOfWeek\": 1,\n              \"time\": \"09:00\"\n            },\n            \"end\": {\n              \"dayOfWeek\": 5,\n              \"time\": \"17:00\"\n            }\n          }\n        ]\n      }\n    ],\n    \"manualEvent\": {},\n    \"timerEvents\": [\n      {\n        \"name\": \"string\",\n        \"start\": \"string\",\n        \"end\": \"string\"\n      }\n    ]\n  }\n]"}],"_postman_id":"87744219-0921-4527-a987-75c5e1f712f7"},{"name":"post V1Playlists","id":"92bf86c8-b0a3-4e67-80c4-85b13257e95d","request":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"duration\": 10000,\n  \"startDate\": \"2026-10-15\",\n  \"contents\": [\n    {\n      \"dashboardId\": \"string\",\n      \"duration\": 10000,\n      \"config\": \"\"\n    },\n    {\n      \"contentId\": \"string\",\n      \"uniqueId\": \"string\"\n    }\n  ],\n  \"playerIds\": [\n    \"string\",\n    \"string\"\n  ],\n  \"screenPropertyConditions\": [\n    {\n      \"propertyId\": \"string\",\n      \"values\": [\n        \"string\",\n        \"string\"\n      ]\n    },\n    {\n      \"propertyId\": \"string\",\n      \"values\": [\n        \"string\",\n        \"string\"\n      ]\n    }\n  ],\n  \"connectionIds\": [\n    \"string\",\n    \"string\"\n  ],\n  \"endDate\": \"2026-12-31\",\n  \"schedule\": [\n    {\n      \"pattern\": {},\n      \"weekSchedule\": [\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        },\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        }\n      ]\n    },\n    {\n      \"pattern\": {},\n      \"weekSchedule\": [\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        },\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        }\n      ]\n    }\n  ],\n  \"manualEvent\": {},\n  \"timerEvents\": [\n    {\n      \"name\": \"string\",\n      \"start\": \"string\",\n      \"end\": \"string\"\n    },\n    {\n      \"name\": \"string\",\n      \"start\": \"string\",\n      \"end\": \"string\"\n    }\n  ],\n  \"triggerSettings\": {\n    \"triggerContent\": {\n      \"textLabelId\": \"string\",\n      \"textLabelWithParameters\": \"string\"\n    },\n    \"connectionIds\": [\n      \"string\",\n      \"string\"\n    ],\n    \"eventCriteria\": {\n      \"inboundEmailAddress\": {\n        \"value\": \"string\"\n      },\n      \"allowedSenders\": [\n        \"string\",\n        \"string\"\n      ],\n      \"subjectContains\": \"string\",\n      \"bodyContains\": \"string\"\n    }\n  },\n  \"isFallback\": false,\n  \"layoutBindings\": [\n    {\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    },\n    {\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    }\n  ],\n  \"playerZones\": [\n    {\n      \"playerId\": \"string\",\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    },\n    {\n      \"playerId\": \"string\",\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    }\n  ]\n}"},"url":"https://api.fugo.ai/rest/v1/playlists","description":"<p>Create Playlist. Optional <code>layoutBindings</code> and <code>playerZones</code> place it in Layout zones: Layout-wide, or on a screen named in <code>playerIds</code>. A refused entry is a 400 naming the field and its reason code.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>403 Forbidden</td>\n<td><code>{}</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"playlistId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>409 Conflict</td>\n<td><code>{ \"playlistId\": \"string\", \"currentVersion\": 6920 }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{}</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","playlists"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"985cb046-ed5c-ae0b-f170-ef466bf01c3d","name":"200 OK","originalRequest":{"method":"POST","header":[{"key":"Content-Type","value":"application/json"}],"body":{"mode":"raw","raw":"{\n  \"name\": \"string\",\n  \"duration\": 10000,\n  \"startDate\": \"2026-10-15\",\n  \"contents\": [\n    {\n      \"dashboardId\": \"string\",\n      \"duration\": 10000,\n      \"config\": \"\"\n    },\n    {\n      \"contentId\": \"string\",\n      \"uniqueId\": \"string\"\n    }\n  ],\n  \"playerIds\": [\n    \"string\",\n    \"string\"\n  ],\n  \"screenPropertyConditions\": [\n    {\n      \"propertyId\": \"string\",\n      \"values\": [\n        \"string\",\n        \"string\"\n      ]\n    },\n    {\n      \"propertyId\": \"string\",\n      \"values\": [\n        \"string\",\n        \"string\"\n      ]\n    }\n  ],\n  \"connectionIds\": [\n    \"string\",\n    \"string\"\n  ],\n  \"endDate\": \"2026-12-31\",\n  \"schedule\": [\n    {\n      \"pattern\": {},\n      \"weekSchedule\": [\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        },\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        }\n      ]\n    },\n    {\n      \"pattern\": {},\n      \"weekSchedule\": [\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        },\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          }\n        }\n      ]\n    }\n  ],\n  \"manualEvent\": {},\n  \"timerEvents\": [\n    {\n      \"name\": \"string\",\n      \"start\": \"string\",\n      \"end\": \"string\"\n    },\n    {\n      \"name\": \"string\",\n      \"start\": \"string\",\n      \"end\": \"string\"\n    }\n  ],\n  \"triggerSettings\": {\n    \"triggerContent\": {\n      \"textLabelId\": \"string\",\n      \"textLabelWithParameters\": \"string\"\n    },\n    \"connectionIds\": [\n      \"string\",\n      \"string\"\n    ],\n    \"eventCriteria\": {\n      \"inboundEmailAddress\": {\n        \"value\": \"string\"\n      },\n      \"allowedSenders\": [\n        \"string\",\n        \"string\"\n      ],\n      \"subjectContains\": \"string\",\n      \"bodyContains\": \"string\"\n    }\n  },\n  \"isFallback\": false,\n  \"layoutBindings\": [\n    {\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    },\n    {\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    }\n  ],\n  \"playerZones\": [\n    {\n      \"playerId\": \"string\",\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    },\n    {\n      \"playerId\": \"string\",\n      \"layoutId\": \"string\",\n      \"zoneIds\": [\n        \"string\",\n        \"string\"\n      ]\n    }\n  ]\n}"},"url":"https://api.fugo.ai/rest/v1/playlists","description":"Create Playlist. Optional `layoutBindings` and `playerZones` place it in Layout zones: Layout-wide, or on a screen named in `playerIds`. A refused entry is a 400 naming the field and its reason code.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 403 Forbidden | `{}` |\n| 404 Not Found | `{ \"playlistId\": \"string\" }` |\n| 409 Conflict | `{ \"playlistId\": \"string\", \"currentVersion\": 6920 }` |\n| 500 Internal Server Error | `{}` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"playlistId\": \"string\",\n  \"tenantId\": \"string\",\n  \"teamId\": \"string\",\n  \"name\": \"string\",\n  \"duration\": 10000,\n  \"startDate\": \"2026-10-15\",\n  \"isFallback\": false,\n  \"createdAt\": 1768473000000,\n  \"updatedAt\": 1768473000000,\n  \"publishedState\": {},\n  \"contents\": [\n    {\n      \"contentId\": \"string\",\n      \"uniqueId\": \"string\"\n    }\n  ],\n  \"playerIds\": [\n    \"string\"\n  ],\n  \"screenPropertyConditions\": [\n    {\n      \"propertyId\": \"string\",\n      \"values\": [\n        \"string\"\n      ]\n    }\n  ],\n  \"endDate\": \"2026-12-31\",\n  \"schedule\": [\n    {\n      \"pattern\": {},\n      \"weekSchedule\": [\n        {\n          \"start\": {\n            \"dayOfWeek\": 1,\n            \"time\": \"09:00\"\n          },\n          \"end\": {\n            \"dayOfWeek\": 5,\n            \"time\": \"17:00\"\n          }\n        }\n      ]\n    }\n  ],\n  \"manualEvent\": {},\n  \"timerEvents\": [\n    {\n      \"name\": \"string\",\n      \"start\": \"string\",\n      \"end\": \"string\"\n    }\n  ]\n}"}],"_postman_id":"92bf86c8-b0a3-4e67-80c4-85b13257e95d"}],"id":"e15cc0df-8b68-438e-8a17-6580e3dd7c08","_postman_id":"e15cc0df-8b68-438e-8a17-6580e3dd7c08","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}}},{"name":"screens","item":[{"name":"get V1Screens","id":"abb9a3b1-571b-4c73-b3d3-c6ce80a2e21a","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/screens","description":"<p>Get the all screens by Space</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"playerId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","screens"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"48f57ce7-1d9c-7aae-8983-3bb9e0afe3f3","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/screens","description":"Get the all screens by Space\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"playerId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"[\n  {\n    \"tenantId\": \"string\",\n    \"playerId\": \"string\",\n    \"name\": \"Reception\",\n    \"colour\": \"#1b2a8c\",\n    \"info\": \"\",\n    \"registrationStatus\": {},\n    \"settings\": \"\",\n    \"createdAt\": 1768473000000,\n    \"createdBy\": \"string\",\n    \"updatedAt\": 1768473000000,\n    \"updatedBy\": \"string\",\n    \"address\": \"string\",\n    \"owners\": [\n      \"string\"\n    ],\n    \"shared\": [\n      \"string\"\n    ]\n  }\n]"}],"_postman_id":"abb9a3b1-571b-4c73-b3d3-c6ce80a2e21a"}],"id":"3da1335e-838e-4a1e-90da-7296aa0e7383","_postman_id":"3da1335e-838e-4a1e-90da-7296aa0e7383","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}}},{"name":"playback-events","item":[{"name":"get V1Playback-events","id":"9add4e8f-2b0c-4c66-82ff-e276ee9f5429","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/playback-events?from=2026-09-01&to=2026-09-30","description":"<p>Returns individual media playback events for your account: what played, on which screen, and when.\n One object per play, so an asset that played many times appears many times.</p>\n<p> Every field is always present: an optional field with no value, such as <code>mediaId</code>, <code>receivedAt</code> or\n the last page's <code>cursor</code>, is sent as <code>null</code>, not omitted.</p>\n<p> <code>mediaId</code> is the media item's Fugo id, a lowercase UUID, or null when the play has none. It is null\n for Canto plays from screens on older players, including every Canto play recorded before plays carried\n the Fugo id, and for plays a screen sends just after it updates, for Canto items saved before the update,\n until its next content pull. Screens that never update keep producing these, so a fresh null is expected.\n It is also null for any play recorded under an id that is not a Fugo id.</p>\n<p> For media from an external library (Canto, Dropbox, Google Drive, OneDrive), an event also carries\n <code>provider</code> and <code>providerAssetId</code>, the asset's id in that library, when the play recorded them, so it can\n be joined against your own copy of the asset. Every Canto play has them, so identify Canto media by\n <code>provider</code> and <code>providerAssetId</code> rather than by <code>mediaId</code>. Dropbox, Google Drive and OneDrive plays\n have them only once screens record them, and plays recorded before that never will.</p>\n<p> <code>sourceUrl</code> is the address media added from your own URL was fetched from, without its query string,\n fragment or user info. It is null for library media.</p>\n<p> <code>playedAt</code> is the screen's own clock and <code>receivedAt</code> is when our servers took delivery of the event.\n Screens drift and buffer events through network outages, so the two can differ; order on <code>receivedAt</code>.</p>\n<p> <code>scheduledDurationMillis</code> is how long the item was scheduled to play, not measured dwell time. It is\n the configured duration and does not shrink when playback is cut short, so it is not a measure of\n attention or exposure.</p>\n<p> Pagination is cursor-based. Keep paginating for as long as a cursor comes back, and stop only when it\n is null. A page may contain fewer items than requested, or none at all, while further pages still\n follow, so the number of items returned does not tell you whether the window is exhausted.</p>\n<p> The window between <code>from</code> and <code>to</code> may span at most 31 days.</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"playerId\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","playback-events"],"host":["https://api.fugo.ai/rest"],"query":[{"description":{"content":"<p>Start of the window, inclusive. An ISO-8601 instant (2026-09-01T00:00:00Z) or a yyyy-MM-dd date.</p>\n","type":"text/plain"},"key":"from","value":"2026-09-01"},{"description":{"content":"<p>End of the window, inclusive. Same formats as <code>from</code>.</p>\n","type":"text/plain"},"key":"to","value":"2026-09-30"},{"disabled":true,"description":{"content":"<p>Events per page, 1 to 1000. Defaults to 200.</p>\n","type":"text/plain"},"key":"pageSize","value":"200"},{"disabled":true,"description":{"content":"<p>Cursor from the previous page's response. Omit for the first page. Treat it as an opaque token: echo it back, do not build or parse one.</p>\n","type":"text/plain"},"key":"cursor","value":""},{"disabled":true,"description":{"content":"<p>Only plays of this Fugo media id, in lowercase UUID form, as events return it in <code>mediaId</code>. Anything else is a 400, a <code>canto-…</code> value included: filter Canto plays by <code>provider=canto</code> and <code>providerAssetId</code>. Cannot be combined with <code>provider</code> and <code>providerAssetId</code>.</p>\n","type":"text/plain"},"key":"mediaId","value":""},{"disabled":true,"description":{"content":"<p>With <code>providerAssetId</code>: only plays of one asset from an external library — <code>canto</code>, <code>dropbox</code>, <code>google_drive</code> or <code>onedrive</code>, exactly as written; anything else is a 400. Use this to filter Canto plays: it also matches plays recorded before events carried these fields.</p>\n","type":"text/plain"},"key":"provider","value":"canto"},{"disabled":true,"description":{"content":"<p>With <code>provider</code>: the asset's id in that library.</p>\n","type":"text/plain"},"key":"providerAssetId","value":""}],"variable":[]}},"response":[{"id":"30e72c65-11cd-ca82-d055-08f324756ad8","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.fugo.ai/rest/v1/playback-events?from=2026-09-01&to=2026-09-30","host":["https://api.fugo.ai/rest"],"path":["v1","playback-events"],"query":[{"description":"Start of the window, inclusive. An ISO-8601 instant (2026-09-01T00:00:00Z) or a yyyy-MM-dd date.","key":"from","value":"2026-09-01"},{"description":"End of the window, inclusive. Same formats as `from`.","key":"to","value":"2026-09-30"},{"description":"Events per page, 1 to 1000. Defaults to 200.","key":"pageSize","value":"200","disabled":true},{"description":"Cursor from the previous page's response. Omit for the first page. Treat it as an opaque token: echo it back, do not build or parse one.","key":"cursor","value":"","disabled":true},{"description":"Only plays of this Fugo media id, in lowercase UUID form, as events return it in `mediaId`. Anything else is a 400, a `canto-…` value included: filter Canto plays by `provider=canto` and `providerAssetId`. Cannot be combined with `provider` and `providerAssetId`.","key":"mediaId","value":"","disabled":true},{"description":"With `providerAssetId`: only plays of one asset from an external library — `canto`, `dropbox`, `google_drive` or `onedrive`, exactly as written; anything else is a 400. Use this to filter Canto plays: it also matches plays recorded before events carried these fields.","key":"provider","value":"canto","disabled":true},{"description":"With `provider`: the asset's id in that library.","key":"providerAssetId","value":"","disabled":true}]},"description":"Returns individual media playback events for your account: what played, on which screen, and when.\n One object per play, so an asset that played many times appears many times.\n\n Every field is always present: an optional field with no value, such as `mediaId`, `receivedAt` or\n the last page's `cursor`, is sent as `null`, not omitted.\n\n `mediaId` is the media item's Fugo id, a lowercase UUID, or null when the play has none. It is null\n for Canto plays from screens on older players, including every Canto play recorded before plays carried\n the Fugo id, and for plays a screen sends just after it updates, for Canto items saved before the update,\n until its next content pull. Screens that never update keep producing these, so a fresh null is expected.\n It is also null for any play recorded under an id that is not a Fugo id.\n\n For media from an external library (Canto, Dropbox, Google Drive, OneDrive), an event also carries\n `provider` and `providerAssetId`, the asset's id in that library, when the play recorded them, so it can\n be joined against your own copy of the asset. Every Canto play has them, so identify Canto media by\n `provider` and `providerAssetId` rather than by `mediaId`. Dropbox, Google Drive and OneDrive plays\n have them only once screens record them, and plays recorded before that never will.\n\n `sourceUrl` is the address media added from your own URL was fetched from, without its query string,\n fragment or user info. It is null for library media.\n\n `playedAt` is the screen's own clock and `receivedAt` is when our servers took delivery of the event.\n Screens drift and buffer events through network outages, so the two can differ; order on `receivedAt`.\n\n `scheduledDurationMillis` is how long the item was scheduled to play, not measured dwell time. It is\n the configured duration and does not shrink when playback is cut short, so it is not a measure of\n attention or exposure.\n\n Pagination is cursor-based. Keep paginating for as long as a cursor comes back, and stop only when it\n is null. A page may contain fewer items than requested, or none at all, while further pages still\n follow, so the number of items returned does not tell you whether the window is exhausted.\n\n The window between `from` and `to` may span at most 31 days.\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"playerId\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json"}],"cookie":[],"responseTime":null,"body":"{\n  \"items\": [\n    {\n      \"mediaId\": \"0157df9c-416e-4581-9e3b-0d9cd3886f34\",\n      \"playlistId\": \"1c897fbb-2cb6-450a-a5cf-8216ac736de5\",\n      \"playerId\": \"a18d6385-3d2e-4b4c-b3b8-787c83e71c32\",\n      \"screenName\": \"Reception\",\n      \"playedAt\": \"2026-09-14T09:30:12.418Z\",\n      \"receivedAt\": \"2026-09-14T09:30:13.020Z\",\n      \"scheduledDurationMillis\": 10000,\n      \"provider\": null,\n      \"providerAssetId\": null,\n      \"sourceUrl\": \"https://example.com/images/menu.jpg\"\n    }\n  ],\n  \"cursor\": \"eyJzb3J0IjpbMTc...\"\n}"}],"_postman_id":"9add4e8f-2b0c-4c66-82ff-e276ee9f5429"}],"id":"cd629716-e826-46dc-a0a6-ffd5016623b4","_postman_id":"cd629716-e826-46dc-a0a6-ffd5016623b4","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}}},{"name":"tenant","item":[{"name":"get V1Tenant Spaces","id":"f5dab28f-9895-47e6-9610-7980a6445f74","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/tenant/spaces","description":"<p>Get all spaces for tenant</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"tenantId\": \"str\", \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","tenant","spaces"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"bf3d4ae8-40db-a2ac-217f-a585089eee2a","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/tenant/spaces","description":"Get all spaces for tenant\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"tenantId\": \"str\", \"message\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"[\n  {\n    \"spaceId\": \"7358871b-fcdf-4621-a641-e1b32a261682\",\n    \"name\": \"Root Space\",\n    \"tags\": [],\n    \"createdAt\": null,\n    \"updatedAt\": null\n  },\n  {\n    \"spaceId\": \"12ae190d-70af-4fef-93f3-f641c91eeb83\",\n    \"name\": \"Marketing\",\n    \"tags\": [],\n    \"createdAt\": 1669842065754,\n    \"updatedAt\": null\n  }\n]"}],"_postman_id":"f5dab28f-9895-47e6-9610-7980a6445f74"},{"name":"get V1Tenant","id":"4b8b779b-941a-4eb9-9179-5b96e6260b0d","request":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/tenant","description":"<p>Get tenant and user details</p>\n<p><strong>Space:</strong> send the optional <code>x-space-id</code> header to act in a space other than the Root space; get IDs from <code>GET /v1/tenant/spaces</code>.</p>\n<p><strong>Errors</strong></p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Status</th>\n<th>Body</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>400 Bad Request</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>404 Not Found</td>\n<td><code>{ \"tenantId\": \"str\", \"message\": \"string\" }</code></td>\n</tr>\n<tr>\n<td>500 Internal Server Error</td>\n<td><code>{ \"message\": \"string\" }</code></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}},"urlObject":{"path":["v1","tenant"],"host":["https://api.fugo.ai/rest"],"query":[],"variable":[]}},"response":[{"id":"d5a3e42b-c737-1281-79ab-734977e836d3","name":"200 OK","originalRequest":{"method":"GET","header":[],"url":"https://api.fugo.ai/rest/v1/tenant","description":"Get tenant and user details\n\n**Space:** send the optional `x-space-id` header to act in a space other than the Root space; get IDs from `GET /v1/tenant/spaces`.\n\n**Errors**\n\n| Status | Body |\n|---|---|\n| 400 Bad Request | `{ \"message\": \"string\" }` |\n| 404 Not Found | `{ \"tenantId\": \"str\", \"message\": \"string\" }` |\n| 500 Internal Server Error | `{ \"message\": \"string\" }` |"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"value":"application/json","key":"Content-Type"}],"cookie":[],"responseTime":null,"body":"{\n  \"tenantId\": \"string\",\n  \"tenantStatus\": {},\n  \"userId\": \"string\",\n  \"email\": \"string\",\n  \"role\": \"TenantMember\",\n  \"isAdmin\": false,\n  \"teamId\": [\n    \"string\"\n  ],\n  \"name\": \"string\",\n  \"firstName\": \"string\",\n  \"lastName\": \"string\"\n}"}],"_postman_id":"4b8b779b-941a-4eb9-9179-5b96e6260b0d"}],"id":"334f5f78-3e18-4948-8284-ae1037e953f6","_postman_id":"334f5f78-3e18-4948-8284-ae1037e953f6","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]},"isInherited":true,"source":{"_postman_id":"515073ae-004d-4320-99fa-88b1297c064f","id":"515073ae-004d-4320-99fa-88b1297c064f","name":"Fugo API","type":"collection"}}}],"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"x-api-key"},{"key":"value","value":"{{vault:fugo-api-key}}"}]}},"variable":[{"key":"baseUrl","value":"https://api.fugo.ai/rest"}]}